package org.eclipse.wtp.releng.cvslog.tools.tests;

import java.util.Date;

import junit.framework.TestCase;

import org.eclipse.wtp.releng.cvslog.tools.CVSRlog;
import org.eclipse.wtp.releng.cvstools.RlogDocument;

public class CvsTester extends TestCase {

	public void test() throws Exception
	{
		Date to = CVSRlog.parseCVSDate("2005-03-13 00:00:00 GMT");
		Date from = CVSRlog.parseCVSDate("2005-03-11 00:00:00 GMT");
		Date now = new Date();
		CVSRlog util = new CVSRlog();
		util.setCvsRoot(":pserver:anonymous@dev.eclipse.org:/cvsroot/webtools");
		util.setTag("HEAD");
		util.setModules(new String[]{"wst"} );
		util.validate();
		util.isCvsNewOutputFormat();
		RlogDocument rlogDocument = util.getRlog(from, to);
		assertNotNull(rlogDocument);
		System.out.println(rlogDocument.toString());
		
	}
}
